Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 349497 - [kde overlay] kde-base/pykde4-4.5.90 fails against PyQt-4.8.1[-declarative]
Summary: [kde overlay] kde-base/pykde4-4.5.90 fails against PyQt-4.8.1[-declarative]
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-23 14:50 UTC by AE
Modified: 2010-12-29 00:20 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
0001-pykde4-4.5.90-depend-on-newer-PyQt4-with-declarative.patch (0001-pykde4-4.5.90-depend-on-newer-PyQt4-with-declarative.patch,5.16 KB, patch)
2010-12-23 20:28 UTC, Martin Jansa
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description AE 2010-12-23 14:50:02 UTC
When trying to compile against PyQt-4.8.1, pykde4 fails with

[ 75%] Generating sip/soprano/sipsopranopart0.cpp, sip/soprano/sipsopranopart1.cpp, sip/soprano/sipsopranopart2.cpp, sip/soprano/sipsopranopart3.cpp, sip/soprano/sipsopranopart4.cpp, sip/soprano/sipsopranopart5.cpp, sip/soprano/sipsopranopart6.cpp, sip/soprano/sipsopranopart7.cpp

sip: Unable to find file "QtDeclarative/QtDeclarativemod.sip"
make[2]: *** [python/pykde4/sip/plasma/sipplasmapart0.cpp] Error 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_plasma.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....

Please add >=dev-python/PyQt-4.8.1[+declarative] dependency.

Reproducible: Always
Comment 1 Maksym 2010-12-23 19:42:29 UTC
Also have problems with kde-base/pykde4-4.5.90

....
[ 91%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_phonon.dir/sip/phonon/sipphononpart6.o
[ 92%] Building CXX object python/pykde4/CMakeFiles/python_module_PyKDE4_phonon.dir/sip/phonon/sipphononpart7.o                                                         
In file included from /usr/include/python2.7/Python.h:8:0,                                                                                                              
                 from /usr/include/python2.7/sip.h:32,
                 from /var/tmp/portage/kde-base/pykde4-4.5.90/work/pykde4-4.5.90_build/python/pykde4/sip/phonon/sipAPIphonon.h:11,
                 from /var/tmp/portage/kde-base/pykde4-4.5.90/work/pykde4-4.5.90_build/python/pykde4/sip/phonon/sipphononpart6.cpp:7:
/usr/include/python2.7/pyconfig.h:1177:0: предупреждение: "_XOPEN_SOURCE" redefined
<command-line>:0:0: замечание: this is the location of the previous definition
In file included from /usr/include/python2.7/Python.h:8:0,
                 from /usr/include/python2.7/sip.h:32,
                 from /var/tmp/portage/kde-base/pykde4-4.5.90/work/pykde4-4.5.90_build/python/pykde4/sip/phonon/sipAPIphonon.h:11,
                 from /var/tmp/portage/kde-base/pykde4-4.5.90/work/pykde4-4.5.90_build/python/pykde4/sip/phonon/sipphononpart7.cpp:7:
/usr/include/python2.7/pyconfig.h:1177:0: предупреждение: "_XOPEN_SOURCE" redefined
<command-line>:0:0: замечание: this is the location of the previous definition
Linking CXX shared library ../../lib/pykde/phonon.so
[ 92%] Built target python_module_PyKDE4_phonon                                                                                                                         
make: *** [all] Ошибка 2
emake failed
 * ERROR: kde-base/pykde4-4.5.90 failed:
 *   Make failed!
 * 
 * Call stack:
 *     ebuild.sh, line   56:  Called src_compile
 *   environment, line 6381:  Called kde4-meta_src_compile
 *   environment, line 3874:  Called kde4-base_src_compile
 *   environment, line 3508:  Called cmake-utils_src_compile
 *   environment, line 1703:  Called _execute_optionaly 'src_compile'
 *   environment, line  705:  Called enable_cmake-utils_src_compile
 *   environment, line 2080:  Called cmake-utils_src_make
 *   environment, line 1722:  Called die
 * The specific snippet of code:
 *           emake "$@" || die "Make failed!";
 * 
 * If you need support, post the output of 'emerge --info =kde-base/pykde4-4.5.90',
 * the complete build log and the output of 'emerge -pqv =kde-base/pykde4-4.5.90'.
 * This ebuild used the following eclasses from overlays:
 *   /var/lib/layman/kde/eclass/kde4-meta.eclass
 *   /var/lib/layman/kde/eclass/kde4-base.eclass
 *   /var/lib/layman/kde/eclass/kde4-functions.eclass
 * This ebuild is from an overlay named 'kde': '/var/lib/layman/kde/'
 * The complete build log is located at '/var/tmp/portage/kde-base/pykde4-4.5.90/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/pykde4-4.5.90/temp/environment'.
 * S: '/var/tmp/portage/kde-base/pykde4-4.5.90/work/pykde4-4.5.90'

Reproducible: always
Comment 2 Maksym 2010-12-23 19:44:36 UTC
emerge --info
Portage 2.1.9.26 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.1, glibc-2.12.1-r3, 2.6.36-gentoo-r5 x86_64)
=================================================================
System uname: Linux-2.6.36-gentoo-r5-x86_64-Pentium-R-_Dual-Core_CPU_T4200_@_2.00GHz-with-gentoo-2.0.1
Timestamp of tree: Thu, 23 Dec 2010 18:00:22 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.7.1, 3.1.3
dev-util/cmake:      2.8.3
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.6.8
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.5.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/openvpn/easy-rsa"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="ru_RU.UTF-8"
LC_ALL="ru_RU.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="uk ru ua"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/rion /var/lib/layman/kde"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 apache2 apm aspell berkdb bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups cvs cxx dbus djvu dri dts dvd dvdr emboss encode exif fam ffmpeg firefox flac fortran ftp gdbm gdu gif gpm hal iconv icq jabber jpeg kde lame lcms libnotify lm_sensors lzo mad matroska mikmod mime mmx mng modules mp3 mp4 mpeg mudflap multilib mysql ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pango pcre pdf perl png policykit ppds pppd python qt3support qt4 raw readline sdl session slang spell sse sse2 ssl startup-notification subversion svg sysfs taglib tcpd theora tiff truetype udev unicode usb v4l v4l2 vdpau vorbis wifi x264 xcb xine xinerama xml xorg xulrunner xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="uk ru ua" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Martin Jansa 2010-12-23 20:28:54 UTC
Created attachment 257895 [details, diff]
0001-pykde4-4.5.90-depend-on-newer-PyQt4-with-declarative.patch
Comment 4 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-12-29 00:20:34 UTC
fixed and reported upstream, thank you